org.apache.storm.generated

## Enum ComponentPageInfo._Fields

- java.lang.Object
- - java.lang.Enum<ComponentPageInfo._Fields>
  - - org.apache.storm.generated.ComponentPageInfo._Fields

- All Implemented Interfaces:
    Serializable, Comparable<ComponentPageInfo._Fields>, org.apache.storm.thrift.TFieldIdEnum
  Enclosing class:
    ComponentPageInfo

      public static enum ComponentPageInfo._Fields
      extends Enum<ComponentPageInfo._Fields>
      implements org.apache.storm.thrift.TFieldIdEnum

  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPONENT_ID`
    `COMPONENT_TYPE`
    `DEBUG_OPTIONS`
    `ERRORS`
    `EVENTLOG_HOST`
    `EVENTLOG_PORT`
    `EXEC_STATS`
    `GSID_TO_INPUT_STATS`
    `NUM_EXECUTORS`
    `NUM_TASKS`
    `RESOURCES_MAP`
    `SID_TO_OUTPUT_STATS`
    `TOPOLOGY_ID`
    `TOPOLOGY_NAME`
    `TOPOLOGY_STATUS`
    `WINDOW_TO_STATS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComponentPageInfo._Fields` | `findByName(String name)` Find the _Fields constant that matches name, or null if its not found.
    `static ComponentPageInfo._Fields` | `findByThriftId(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
    `static ComponentPageInfo._Fields` | `findByThriftIdOrThrow(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
    `String` | `getFieldName()`
    `short` | `getThriftFieldId()`
    `static ComponentPageInfo._Fields` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ComponentPageInfo._Fields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COMPONENT_ID

          public static final ComponentPageInfo._Fields COMPONENT_ID

    - #### COMPONENT_TYPE

          public static final ComponentPageInfo._Fields COMPONENT_TYPE

      See Also:
        `ComponentType`

    - #### TOPOLOGY_ID

          public static final ComponentPageInfo._Fields TOPOLOGY_ID

    - #### TOPOLOGY_NAME

          public static final ComponentPageInfo._Fields TOPOLOGY_NAME

    - #### NUM_EXECUTORS

          public static final ComponentPageInfo._Fields NUM_EXECUTORS

    - #### NUM_TASKS

          public static final ComponentPageInfo._Fields NUM_TASKS

    - #### WINDOW_TO_STATS

          public static final ComponentPageInfo._Fields WINDOW_TO_STATS

    - #### GSID_TO_INPUT_STATS

          public static final ComponentPageInfo._Fields GSID_TO_INPUT_STATS

    - #### SID_TO_OUTPUT_STATS

          public static final ComponentPageInfo._Fields SID_TO_OUTPUT_STATS

    - #### EXEC_STATS

          public static final ComponentPageInfo._Fields EXEC_STATS

    - #### ERRORS

          public static final ComponentPageInfo._Fields ERRORS

    - #### EVENTLOG_HOST

          public static final ComponentPageInfo._Fields EVENTLOG_HOST

    - #### EVENTLOG_PORT

          public static final ComponentPageInfo._Fields EVENTLOG_PORT

    - #### DEBUG_OPTIONS

          public static final ComponentPageInfo._Fields DEBUG_OPTIONS

    - #### TOPOLOGY_STATUS

          public static final ComponentPageInfo._Fields TOPOLOGY_STATUS

    - #### RESOURCES_MAP

          public static final ComponentPageInfo._Fields RESOURCES_MAP

  - ### Method Detail

    - #### values

          public static ComponentPageInfo._Fields[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ComponentPageInfo._Fields c : ComponentPageInfo._Fields.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ComponentPageInfo._Fields valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### findByThriftId

          public static ComponentPageInfo._Fields findByThriftId(int fieldId)

      Find the _Fields constant that matches fieldId, or null if its not found.

    - #### findByThriftIdOrThrow

          public static ComponentPageInfo._Fields findByThriftIdOrThrow(int fieldId)

      Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

    - #### findByName

          public static ComponentPageInfo._Fields findByName(String name)

      Find the _Fields constant that matches name, or null if its not found.

    - #### getThriftFieldId

          public short getThriftFieldId()

      Specified by:
        `getThriftFieldId` in interface `org.apache.storm.thrift.TFieldIdEnum`

    - #### getFieldName

          public String getFieldName()

      Specified by:
        `getFieldName` in interface `org.apache.storm.thrift.TFieldIdEnum`

Copyright © 2021 The Apache Software Foundation. All rights reserved.